commit: 06339c371226b74c00a31e7e021b24586d1670ab
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Fri May 9 12:08:34 2025 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Fri May 9 12:09:08 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=06339c37
media-video/vidcutter: update live ebuild
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>
media-video/vidcutter/vidcutter-9999.ebuild | 24 ++++++++++++++++++------
1 file changed, 18 insertions(+), 6 deletions(-)
diff --git a/media-video/vidcutter/vidcutter-9999.ebuild
b/media-video/vidcutter/vidcutter-9999.ebuild
index 1336186ef154..7736f92199de 100644
--- a/media-video/vidcutter/vidcutter-9999.ebuild
+++ b/media-video/vidcutter/vidcutter-9999.ebuild
@@ -3,11 +3,13 @@
EAPI=8
-PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_COMPAT=( python3_{11..13} )
DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_EXT=1
inherit distutils-r1 xdg
+MY_COMMIT="db6818f11bbb4d5598dfc5ceeddf7f81c7078499"
DESCRIPTION="FFmpeg-based simple video cutter & joiner with a modern PyQt5 GUI"
HOMEPAGE="http://vidcutter.ozmartians.com
https://github.com/ozmartian/vidcutter"
@@ -15,13 +17,15 @@ if [[ ${PV} == 9999 ]];then
inherit git-r3
EGIT_REPO_URI="https://github.com/ozmartian/vidcutter"
else
- SRC_URI="https://github.com/ozmartian/${PN}/archive/${PV}.tar.gz ->
${P}.tar.gz"
+ SRC_URI="https://github.com/ozmartian/${PN}/archive/${MY_COMMIT}.tar.gz
-> ${P}.tar.gz"
KEYWORDS="~amd64 ~x86"
fi
+S="${WORKDIR}/${PN}-${MY_COMMIT}"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
LICENSE="GPL-3"
SLOT="0"
-IUSE=""
DEPEND="
>=media-video/mpv-0.25:=[libmpv]
@@ -30,11 +34,19 @@ RDEPEND="${DEPEND}
>=dev-python/pyqt5-5.7[dbus,multimedia,widgets,${PYTHON_USEDEP}]
dev-python/pyopengl[${PYTHON_USEDEP}]
media-video/ffmpeg[X,encode(+)]
- media-video/mediainfo"
+ media-video/mediainfo
+"
BDEPEND="
${PYTHON_DEPS}
- dev-python/setuptools[${PYTHON_USEDEP}]"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+ dev-python/cython[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+ # https://bugs.gentoo.org/929679
+ rm vidcutter/libs/pympv/mpv.c || die
+ distutils-r1_python_prepare_all
+}
src_install() {
distutils-r1_src_install